package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMeterOnlineStatus {

    OFFLINE(0, "离线"),
    ONLINE(1, "在线");
    public static EnumMeterOnlineStatus getEnum(Integer code) {
        for (EnumMeterOnlineStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMeterOnlineStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
